## flint 0.0.1

=== DESCRIPTION ===
Package: flint
Version: 0.0.1
VersionNote: sync configure.ac
Date: 2025-02-14
Title: Fast Library for Number Theory
Description: 
	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
	number theory.  'FLINT' extends GNU 'MP' <https://gmplib.org/>
	and GNU 'MPFR' <https://www.mpfr.org/> with support for arithmetic
	in standard rings (the integers, the integers modulo n, the
	rational, p-adic, real, and complex numbers) as well as vectors,
	matrices, polynomials, and power series over rings.  'FLINT'
	implements midpoint-radius interval arithmetic, also known as ball
	arithmetic, in the real and complex numbers, enabling computation
	in arbitrary precision with rigorous propagation of errors; see
	Johansson (2017) <doi:10.1109/TC.2017.2690633>.  Finally, 'FLINT'
	provides ball arithmetic implementations of many
	special mathematical functions, with high coverage of reference
	works such as the NIST Digital Library of Mathematical Functions
	<https://dlmf.nist.gov/>.  The R interface defines S4 classes,
	generic functions, and methods for representation and basic
	operations as well as plain R functions matching (and vectorizing)
	entry points in the C library.
License: GPL (>= 2)
URL: https://github.com/jaganmn/flint
BugReports: https://github.com/jaganmn/flint/issues
Authors@R: 
	c(person("Mikael", "Jagan",
	         email = "jaganmn@mcmaster.ca",
	         role = c("aut", "cre"),
	         comment = c(ORCID = "0000-0002-3542-2938")))
Depends: R (>= 4.3), methods
Imports: stats
SystemRequirements: gmp, mpfr (>= 3.1), flint (>= 3)
SystemRequirementsNote: purely informational as we use configure tests
NeedsCompilation: yes
Packaged: 2025-02-13 22:34:03 UTC; mikael
Author: Mikael Jagan [aut, cre] (<https://orcid.org/0000-0002-3542-2938>)
Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
Repository: CRAN
Date/Publication: 2025-02-17 11:30:03 UTC

## flint 0.0.2

=== DESCRIPTION ===
Package: flint
Version: 0.0.2
VersionNote: sync configure.ac
Date: 2025-02-20
Title: Fast Library for Number Theory
Description: 
	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
	number theory.  'FLINT' extends GNU 'MPFR' <https://www.mpfr.org/>
	and GNU 'MP' <https://gmplib.org/> with support for arithmetic in
	standard rings (the integers, the integers modulo n, the rational,
	p-adic, real, and complex numbers) as well as vectors, matrices,
	polynomials, and power series over rings.  'FLINT' implements
	midpoint-radius interval arithmetic, also known as ball arithmetic,
	in the real and complex numbers, enabling computation in arbitrary
	precision with rigorous propagation of errors; see Johansson (2017)
	<doi:10.1109/TC.2017.2690633>.  Finally, 'FLINT' provides ball
	arithmetic implementations of many special mathematical functions,
	with high coverage of reference works such as the NIST Digital
	Library of Mathematical Functions <https://dlmf.nist.gov/>.  The R
	interface defines S4 classes, generic functions, and methods for
	representation and basic operations as well as plain R functions
	matching and vectorizing entry points in the C library.
License: GPL (>= 2)
URL: https://github.com/jaganmn/flint
BugReports: https://github.com/jaganmn/flint/issues
Authors@R: 
	c(person("Mikael", "Jagan",
	         email = "jaganmn@mcmaster.ca",
	         role = c("aut", "cre"),
	         comment = c(ORCID = "0000-0002-3542-2938")))
Depends: R (>= 4.3), methods
Imports: stats
SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
SystemRequirementsNote: purely informational as we use configure tests
NeedsCompilation: yes
Packaged: 2025-02-20 01:04:42 UTC; mikael
Author: Mikael Jagan [aut, cre] (<https://orcid.org/0000-0002-3542-2938>)
Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
Repository: CRAN
Date/Publication: 2025-02-20 08:30:02 UTC

## flint 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.0.2
+Version: 0.0.3
 VersionNote: sync configure.ac
-Date: 2025-02-20
+Date: 2025-02-23
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -19,7 +19,7 @@
 	Library of Mathematical Functions <https://dlmf.nist.gov/>.  The R
 	interface defines S4 classes, generic functions, and methods for
 	representation and basic operations as well as plain R functions
-	matching and vectorizing entry points in the C library.
+	mirroring and vectorizing entry points in the C library.
 License: GPL (>= 2)
 URL: https://github.com/jaganmn/flint
 BugReports: https://github.com/jaganmn/flint/issues
@@ -33,8 +33,8 @@
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-02-20 01:04:42 UTC; mikael
+Packaged: 2025-02-23 07:13:03 UTC; mikael
 Author: Mikael Jagan [aut, cre] (<https://orcid.org/0000-0002-3542-2938>)
 Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-02-20 08:30:02 UTC
+Date/Publication: 2025-02-23 23:40:11 UTC

## flint 0.0.4

=== DESCRIPTION ===
Package: flint
Version: 0.0.4
VersionNote: sync configure.ac
Date: 2025-03-23
Title: Fast Library for Number Theory
Description: 
	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
	number theory.  'FLINT' extends GNU 'MPFR' <https://www.mpfr.org/>
	and GNU 'MP' <https://gmplib.org/> with support for operations on
	standard rings (the integers, the integers modulo n, finite fields,
	the rational, p-adic, real, and complex numbers) as well as matrices
	and polynomials over rings.  'FLINT' implements midpoint-radius
	interval arithmetic, also known as ball arithmetic, in the real and
	complex numbers, enabling computation in arbitrary precision with
	rigorous propagation of rounding errors; see Johansson (2017)
	<doi:10.1109/TC.2017.2690633>.  Finally, 'FLINT' provides ball
	arithmetic implementations of many special mathematical functions,
	with high coverage of reference works such as the NIST Digital
	Library of Mathematical Functions <https://dlmf.nist.gov/>.  The R
	interface defines S4 classes, generic functions, and methods for
	representation and basic operations as well as plain R functions
	mirroring and vectorizing entry points in the C library.
License: GPL (>= 2)
URL: https://github.com/jaganmn/flint
BugReports: https://github.com/jaganmn/flint/issues
Authors@R: 
	c(person("Mikael", "Jagan",
	         email = "jaganmn@mcmaster.ca",
	         role = c("aut", "cre"),
	         comment = c(ORCID = "0000-0002-3542-2938")))
Depends: R (>= 4.3), methods
Imports: stats
SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
SystemRequirementsNote: purely informational as we use configure tests
NeedsCompilation: yes
Packaged: 2025-03-24 04:00:44 UTC; mikael
Author: Mikael Jagan [aut, cre] (<https://orcid.org/0000-0002-3542-2938>)
Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
Repository: CRAN
Date/Publication: 2025-03-24 04:20:02 UTC

## flint 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.0.4
+Version: 0.0.5
 VersionNote: sync configure.ac
-Date: 2025-03-23
+Date: 2025-05-27
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -33,8 +33,9 @@
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-03-24 04:00:44 UTC; mikael
-Author: Mikael Jagan [aut, cre] (<https://orcid.org/0000-0002-3542-2938>)
+Packaged: 2025-05-27 18:26:45 UTC; mikael
+Author: Mikael Jagan [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-3542-2938>)
 Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-03-24 04:20:02 UTC
+Date/Publication: 2025-05-27 18:50:02 UTC

## flint 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.0.5
+Version: 0.1.0
 VersionNote: sync configure.ac
-Date: 2025-05-27
+Date: 2025-09-21
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -27,15 +27,19 @@
 	c(person("Mikael", "Jagan",
 	         email = "jaganmn@mcmaster.ca",
 	         role = c("aut", "cre"),
-	         comment = c(ORCID = "0000-0002-3542-2938")))
+	         comment = c(ORCID = "0000-0002-3542-2938")),
+	  person("Martin", "Maechler",
+	         role = c("ctb"),
+	         comment = c(ORCID = "0000-0002-8685-9910")))
 Depends: R (>= 4.3), methods
 Imports: stats
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-05-27 18:26:45 UTC; mikael
+Packaged: 2025-09-21 11:19:39 UTC; mikael
 Author: Mikael Jagan [aut, cre] (ORCID:
-    <https://orcid.org/0000-0002-3542-2938>)
+    <https://orcid.org/0000-0002-3542-2938>),
+  Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
 Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-05-27 18:50:02 UTC
+Date/Publication: 2025-09-21 12:00:02 UTC

## flint 0.1.1

=== DESCRIPTION ===
Package: flint
Version: 0.1.1
VersionNote: sync configure.ac, inst/NEWS.Rd
Date: 2025-10-08
Title: Fast Library for Number Theory
Description: 
	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
	number theory.  'FLINT' extends GNU 'MPFR' <https://www.mpfr.org/>
	and GNU 'MP' <https://gmplib.org/> with support for operations on
	standard rings (the integers, the integers modulo n, finite
	fields, the rational, p-adic, real, and complex numbers) as well
	as matrices and polynomials over rings.  'FLINT' implements
	midpoint-radius interval arithmetic, also known as ball
	arithmetic, in the real and complex numbers, enabling computation
	in arbitrary precision with rigorous propagation of rounding and
	other errors; see Johansson (2017) <doi:10.1109/TC.2017.2690633>.
	Finally, 'FLINT' provides ball arithmetic implementations of many
	special mathematical functions, with high coverage of reference
	works such as the NIST Digital Library of Mathematical Functions
	<https://dlmf.nist.gov/>.  The R interface defines S4 classes,
	generic functions, and methods for representation and basic
	operations as well as plain R functions mirroring and vectorizing
	entry points in the C library.
License: GPL (>= 2)
URL: https://github.com/jaganmn/flint
BugReports: https://github.com/jaganmn/flint/issues
Authors@R: 
	c(person("Mikael", "Jagan",
	         email = "jaganmn@mcmaster.ca",
	         role = c("aut", "cre"),
	         comment = c(ORCID = "0000-0002-3542-2938")),
	  person("Martin", "Maechler",
	         role = c("ctb"),
	         comment = c(ORCID = "0000-0002-8685-9910")))
Depends: R (>= 4.3), methods
Imports: stats
Enhances: Rmpfr, gmp
SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
SystemRequirementsNote: purely informational as we use configure tests
NeedsCompilation: yes
Packaged: 2025-10-08 19:18:54 UTC; mikael
Author: Mikael Jagan [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-3542-2938>),
  Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
Repository: CRAN
Date/Publication: 2025-10-08 19:40:02 UTC

## flint 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.1.1
+Version: 0.1.2
 VersionNote: sync configure.ac, inst/NEWS.Rd
-Date: 2025-10-08
+Date: 2025-10-10
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -38,10 +38,10 @@
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-10-08 19:18:54 UTC; mikael
+Packaged: 2025-10-10 18:32:23 UTC; mikael
 Author: Mikael Jagan [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-3542-2938>),
   Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
 Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-10-08 19:40:02 UTC
+Date/Publication: 2025-10-10 22:50:20 UTC

## flint 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.1.2
+Version: 0.1.3
 VersionNote: sync configure.ac, inst/NEWS.Rd
-Date: 2025-10-10
+Date: 2025-12-15
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -26,7 +26,7 @@
 BugReports: https://github.com/jaganmn/flint/issues
 Authors@R: 
 	c(person("Mikael", "Jagan",
-	         email = "jaganmn@mcmaster.ca",
+	         email = "jaganmn2@gmail.com",
 	         role = c("aut", "cre"),
 	         comment = c(ORCID = "0000-0002-3542-2938")),
 	  person("Martin", "Maechler",
@@ -38,10 +38,10 @@
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-10-10 18:32:23 UTC; mikael
+Packaged: 2025-12-15 18:40:15 UTC; mikael
 Author: Mikael Jagan [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-3542-2938>),
   Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
-Maintainer: Mikael Jagan <jaganmn@mcmaster.ca>
+Maintainer: Mikael Jagan <jaganmn2@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-10-10 22:50:20 UTC
+Date/Publication: 2025-12-18 09:00:02 UTC

## flint 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flint
-Version: 0.1.3
+Version: 0.1.4
 VersionNote: sync configure.ac, inst/NEWS.Rd
-Date: 2025-12-15
+Date: 2025-12-18
 Title: Fast Library for Number Theory
 Description: 
 	An R interface to 'FLINT' <https://flintlib.org/>, a C library for
@@ -38,10 +38,10 @@
 SystemRequirements: flint (>= 3), mpfr (>= 3.1), gmp
 SystemRequirementsNote: purely informational as we use configure tests
 NeedsCompilation: yes
-Packaged: 2025-12-15 18:40:15 UTC; mikael
+Packaged: 2025-12-18 17:38:31 UTC; mikael
 Author: Mikael Jagan [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-3542-2938>),
   Martin Maechler [ctb] (ORCID: <https://orcid.org/0000-0002-8685-9910>)
 Maintainer: Mikael Jagan <jaganmn2@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-12-18 09:00:02 UTC
+Date/Publication: 2025-12-19 10:20:14 UTC

## flint 2.4.4

=== debian/changelog ===
flint (2.4.4-2) unstable; urgency=medium

  [ Julien Puydt ]
  * Added a patch to support NTL >= 6.2 (forwarded upstream).

  [ Tobias Hansen ]
  * Add --parallel to dh command.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 26 Aug 2014 23:58:19 +0200

flint (2.4.4-1) unstable; urgency=medium

  [ Felix Salfelder ]
  * New upstream release (Closes: #592349, #743009, #558855).
  * Redo packaging, migrating from cdbs to dh.

  [ Julien Puydt ]
  * Consensual package takeover from Tim Abbott into the Debian Science Team.
  * Rewrote d/copyright.
  * Don't use the patches of the two NMUs (they don't apply to current code).
  * Added a patch to handle both GMP < 6 and >= 6.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 12 Aug 2014 22:23:22 +0200

flint (1.011-2.2) unstable; urgency=low

  * NMU: apply patch for build problem on mips (Closes: #665719)
         (patch from Dejan Latinovic)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Nov 2013 18:43:41 +0100

flint (1.011-2.1) unstable; urgency=low

  * NMU: Fix the inline ASM for ARM to specify .arm mode, so it works
    correctly when compiling with -mthumb-interwork (Closes: #652205)

 -- Adam Conrad <adconrad@debian.org>  Mon, 25 Jun 2012 18:43:41 -0600

flint (1.011-2) unstable; urgency=low

  * Add a prototype for __gmpn_udiv_w_sdiv when it is needed
  (Closes: #499877).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 23 Sep 2008 21:13:54 -0400

flint (1.011-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.
  * Enable the new NTL interface.

 -- Tim Abbott <tabbott@mit.edu>  Thu, 10 Jul 2008 15:02:31 -0400

flint (1.06-2) unstable; urgency=low

  * Improve copyright file to mention other contributors.
  * Set priority to optional.
  * Improve description.

 -- Tim Abbott <tabbott@mit.edu>  Tue, 17 Jun 2008 16:14:49 -0400

flint (1.06-1) unstable; urgency=low

  * Initial release (Closes: #480087).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 00:34:12 -0400

=== debian/control ===
Source: flint
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Homepage: http://www.flintlib.org/
Build-Depends: debhelper (>= 9), libgmp-dev, libmpfr-dev, libntl-dev, texlive-latex-extra, texlive-fonts-recommended
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/flint.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/flint

Package: libflint-2.4.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libflint-1.06
Replaces: libflint-1.06
Description: C library for number theory, shared library
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has funtionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT shared library.

Package: libflint-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libflint-2.4.4 (= ${binary:Version})
Description: C library for number theory, development files
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has funtionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT development files.

Package: libflint-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libflint-dev
Description: Documentation for the FLINT library
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has funtionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT documentation

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | grep -x "Version:.*" | sed 's@Version: \(.\+\)-.\+@\1@')
EXTRA_SHARED_FLAGS=-Wl,-soname,libflint-$(VERSION).so
MAKE_OVERRIDE = AT= QUIET_CXX= QUIET_CC= QUIET_AR= INCS=-I$(CURDIR) \
                ABI_FLAG='$(LDFLAGS)'

%:
	dh $@ --parallel

# upstream Makefile has only CFLAGS, not CPPFLAGS and not even CXXFLAGS, so
# inject flags using configure. let's hope CFLAGS will always be good enough
# even for $(CXX)
override_dh_auto_configure:
	./configure --prefix="/usr" --with-ntl CFLAGS='$(CPPFLAGS) $(CFLAGS)'
	sed -i Makefile -e "/^FLINT_LIB\>=/s/libflint/libflint-$(VERSION)/"

override_dh_auto_build:
	dh_auto_build --parallel -- $(MAKE_OVERRIDE) \
	    EXTRA_SHARED_FLAGS="$(EXTRA_SHARED_FLAGS)"
	(cd doc/latex && make)

override_dh_auto_clean:
	rm -f doc/latex/flint-manual.pdf
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test --parallel -- $(MAKE_OVERRIDE)

override_dh_auto_install:
	dh_auto_install
	ln -sf libflint-$(VERSION).so debian/tmp/usr/lib/libflint.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## flint 2.4.5

=== debian/changelog ===
flint (2.4.5-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 16 May 2015 21:18:20 +0200

flint (2.4.5-3) experimental; urgency=medium

  * Declare we break 2.4.4 since the previous fix was
    incomplete -- next upstream solves it better (Closes: #779584).

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 09 Apr 2015 17:57:33 +0200

flint (2.4.5-2) experimental; urgency=medium

  * Declare we replace 2.4.4 to make transition from sid 
    painless (Closes #779584).

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 03 Mar 2015 08:07:23 +0100

flint (2.4.5-1) experimental; urgency=medium

  [ Julien Puydt ]
  * New upstream release.

  [ Anton Gladky ]
  * Set Standards-Version:3.9.6. No changes.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 17 Feb 2015 17:01:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Homepage: http://www.flintlib.org/
 Build-Depends: debhelper (>= 9), libgmp-dev, libmpfr-dev, libntl-dev, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/flint.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/flint
 
-Package: libflint-2.4.4
+Package: libflint-2.4.5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libflint-1.06
-Replaces: libflint-1.06
+Replaces: libflint-1.06, libflint-2.4.4
+Breaks: libflint-2.4.4
 Description: C library for number theory, shared library
  The Fast Library for Integer Number Theory is a C library which supports
  polynomial arithmetic over the integers, fast integer arithmetic and factoring
@@ -28,7 +29,7 @@
 Package: libflint-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libflint-2.4.4 (= ${binary:Version})
+Depends: ${misc:Depends}, libflint-2.4.5 (= ${binary:Version})
 Description: C library for number theory, development files
  The Fast Library for Integer Number Theory is a C library which supports
  polynomial arithmetic over the integers, fast integer arithmetic and factoring

## flint 2.5.2

=== debian/changelog ===
flint (2.5.2-3) unstable; urgency=medium

  * Upload to unstable for the transition.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 18 Sep 2015 13:28:31 +0200

flint (2.5.2-2) experimental; urgency=medium

  * Force the "-ansi" flag so i386 arches don't break.
  * Add the library package to the libs section.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 07 Sep 2015 10:13:41 +0200

flint (2.5.2-1) experimental; urgency=medium

  * Update to latest upstream.
  * Remove all previous patches as they are unneeded.
  * Updated debian/copyright.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 13 Aug 2015 22:34:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/flint.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/flint
 
-Package: libflint-2.4.5
+Package: libflint-2.5.2
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libflint-1.06
-Replaces: libflint-1.06, libflint-2.4.4
-Breaks: libflint-2.4.4
+Replaces: libflint-1.06, libflint-2.4.4, libflint-2.4.5
 Description: C library for number theory, shared library
  The Fast Library for Integer Number Theory is a C library which supports
  polynomial arithmetic over the integers, fast integer arithmetic and factoring
@@ -29,7 +28,7 @@
 Package: libflint-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libflint-2.4.5 (= ${binary:Version})
+Depends: ${misc:Depends}, libflint-2.5.2 (= ${binary:Version})
 Description: C library for number theory, development files
  The Fast Library for Integer Number Theory is a C library which supports
  polynomial arithmetic over the integers, fast integer arithmetic and factoring

=== debian/rules ===
--- 
+++ 
@@ -12,24 +12,20 @@
 # inject flags using configure. let's hope CFLAGS will always be good enough
 # even for $(CXX)
 override_dh_auto_configure:
-	./configure --prefix="/usr" --with-ntl CFLAGS='$(CPPFLAGS) $(CFLAGS)'
+	./configure --prefix="/usr" --with-ntl CFLAGS='$(CPPFLAGS) $(CFLAGS) -ansi' --disable-static
 	sed -i Makefile -e "/^FLINT_LIB\>=/s/libflint/libflint-$(VERSION)/"
 
 override_dh_auto_build:
 	dh_auto_build --parallel -- $(MAKE_OVERRIDE) \
 	    EXTRA_SHARED_FLAGS="$(EXTRA_SHARED_FLAGS)"
-	(cd doc/latex && make)
+	$(MAKE) -C doc/latex
 
-override_dh_auto_clean:
-	rm -f doc/latex/flint-manual.pdf
-	dh_auto_clean
+override_dh_auto_install:
+	dh_auto_install
+	cd debian/tmp/usr/lib ; ln -sf libflint-$(VERSION).so.* libflint-$(VERSION).so
 
 override_dh_auto_test:
 	dh_auto_test --parallel -- $(MAKE_OVERRIDE)
 
-override_dh_auto_install:
-	dh_auto_install
-	ln -sf libflint-$(VERSION).so debian/tmp/usr/lib/libflint.so
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://flintlib.org/downloads.html flint-(\d[-\d.]*)\.tar\.gz

## flint 2.6.3

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Flint
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
flint (2.6.3-3) unstable; urgency=medium

  * Add patch to check for pthread_[gs]etaffinity_np api
    (FTBFS on hurd-i386).
  * Change license to LGPL-2.1+, following upstream.
  * Drop now-invalid lintian override.
  * Use symlinks to sphinx files to avoid lintian warnings.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 25 Oct 2020 09:42:13 +0100

flint (2.6.3-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 19 Aug 2020 11:28:51 +0200

flint (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Declare d/rules doesn't require root.
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Aug 2020 17:24:17 +0200

flint (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 23:53:46 +0200

flint (2.6.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #964109)
  * Update team mailing list address.
  * Bump dh compat to 13.
  * Drop patch fixing hppa (upstream).
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Jul 2020 15:56:14 +0200

flint (2.6.0-3) unstable; urgency=medium

  * Add patch to unbreak hppa.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 08:06:18 +0200

flint (2.6.0-2) unstable; urgency=medium

  * Add missing b-deps to fix building issues.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jun 2020 08:28:22 +0200

flint (2.6.0-1) unstable; urgency=medium

  * Better clean the html doc tree after the build.
  * Use local mathjax.
  * Use local jquery and underscore.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 05 Jun 2020 22:38:28 +0200

flint (2.6.0~rc3-1) experimental; urgency=medium

  * New upstream pre-release 2.6.0~rc3.
  * Drop all patches.
  * Simplify d/rules.
  * Build and ship the html doc.
  * Modify package name for new version.
  * Build and ship the pdf doc again.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 01 Jun 2020 13:50:45 +0200

flint (2.5.2-23) unstable; urgency=medium

  * Update bug_953437.patch, following a new
    upstream change (Closes: #961505).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 May 2020 13:47:49 +0200

flint (2.5.2-22) unstable; urgency=medium

  * Add patch fixing segfaults on mips64el (Closes: #953437).
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 19 May 2020 16:29:46 +0200

flint (2.5.2-21) unstable; urgency=medium

  * Drop d/compat and use dh-compat 12.
  * Bump std-ver to 4.4.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Jan 2020 08:20:42 +0100

flint (2.5.2-20) unstable; urgency=medium

  * Apply Helmut Grohne's proposed changes: (Closes: #939677)
    - Mark libflint-2.5.2 Multi-Arch: same.
    - Install libraries in multiarch libdir.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 15 Sep 2019 13:14:10 +0200

flint (2.5.2-19) unstable; urgency=medium

  * Apply patch from H.Grohne to fix cross build (Closes: #912686)
  * Use my debian.org mail address.
  * Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 04 Nov 2018 00:44:41 +0100

flint (2.5.2-18) unstable; urgency=medium

  * Add patch to fix FTBFS (Closes: #896470).
  * Refresh packaging:
    - Bump std-ver to 4.1.4.
    - Bump dh compat to 11.
    - Point Vcs-* fields to salsa.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 24 Apr 2018 23:51:04 +0200

flint (2.5.2-17) unstable; urgency=medium

  * Team upload.
  * Extend asm_volatile_div.patch to i386 as flint-arb tests are failing there
    as well. Also cover signed division, for good measure. (Closes: #881236)

 -- Ximin Luo <infinity0@debian.org>  Thu, 09 Nov 2017 11:13:59 +0100

flint (2.5.2-16) unstable; urgency=medium

  * Bump standards-version to 4.1.1.
  * Bump d/watch to version 4.
  * Add override for missing autopkgtest.
  * Avoid parsing the changelog for the upstream version.
  * Ship the static version of the library. (Closes: #879597)
  * Add patch to add __volatile__ to avoid a bug.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 06 Nov 2017 10:07:20 +0100

flint (2.5.2-15) unstable; urgency=medium

  * Use -march=mips2 to avoid gcc's #852153 until it's fixed. (Closes: #852007)

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 24 Jan 2017 00:40:16 +0100

flint (2.5.2-14) unstable; urgency=medium

  * Team upload.
  * New patch undef_count_leading_zeros.patch:
    Avoid problems when using flint together with givaro. (Closes: #848899)

 -- Tobias Hansen <thansen@debian.org>  Wed, 21 Dec 2016 00:34:03 +0000

flint (2.5.2-13) unstable; urgency=medium

  * Re-enable all hardenings since it wasn't the problem.
  * Add depend on gcc-5&g++-5 and use it for mips and mipsel.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 17 Nov 2016 19:43:56 +0100

flint (2.5.2-12) unstable; urgency=medium

  * Team upload.
  * Disable -fPIE on mips and mipsel to fix FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Nov 2016 16:21:37 +0000

flint (2.5.2-11) unstable; urgency=medium

  * Added missing dep from -dev on libmpfr-dev.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 09 Nov 2016 09:06:38 +0100

flint (2.5.2-10) unstable; urgency=medium

  * Added a patch by Logan Rosen to fix a FTBFS issue. (Closes: #837453)
  * Applied the suggestion of the Multi-Arch hinter.
  * Pushed dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 28 Oct 2016 12:06:34 +0200

flint (2.5.2-9) unstable; urgency=medium

  * Added a patch from Dejan Latinovic to fix a MIPS issue. (Closes: #836304)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 01 Sep 2016 20:56:14 +0200

flint (2.5.2-8) unstable; urgency=medium

  * Team upload.

  [ James Clarke ]
  * Reintroduce -ansi for i386 to fix testsuite hang.  Closes: #830744

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2016 12:46:34 +0000

flint (2.5.2-7) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Add patch to fix compilation on hurd.



=== debian/control ===
Source: flint
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>
Homepage: http://www.flintlib.org/
Build-Depends: debhelper-compat (= 13),
               latexmk,
               libgmp-dev,
               libmpfr-dev,
               libntl-dev (>= 9.9.1),
               lmodern,
               python3-sphinx,
               texlive-fonts-recommended,
               texlive-latex-extra
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/flint
Vcs-Git: https://salsa.debian.org/science-team/flint.git

Package: libflint-2.6.3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libflint-1.06,
          libflint-2.4.4,
          libflint-2.4.5,
          libflint-2.5.2,
          libflint-2.6.0,
          libflint-2.6.1,
	  libflint-2.6.2
Description: C library for number theory, shared library
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has functionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT shared library.

Package: libflint-dev
Section: libdevel
Architecture: any
Depends: libflint-2.6.3 (= ${binary:Version}), libmpfr-dev, ${misc:Depends}
Description: C library for number theory, development files
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has functionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT development files.

Package: libflint-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, libjs-mathjax, libjs-underscore, ${misc:Depends}
Recommends: libflint-dev
Description: Documentation for the FLINT library
 The Fast Library for Integer Number Theory is a C library which supports
 polynomial arithmetic over the integers, fast integer arithmetic and factoring
 (including a highly optimized quadratic sieve).
 .
 FLINT has functionality similar to that of the Number Theory Library (NTL).
 However, unlike NTL, which is designed primarily for asymptotic performance,
 FLINT is designed for good performance in small cases as well.
 .
 This package contains the FLINT documentation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildtools.mk

EXTRA_SHARED_FLAGS=-Wl,-soname,libflint-$(DEB_VERSION_UPSTREAM).so
MAKE_OVERRIDE = AT= QUIET_CXX= QUIET_CC= QUIET_AR= \
		INCS='-I$(CURDIR) -I$(CURDIR)/build' ABI_FLAG='$(LDFLAGS)'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# upstream Makefile has only CFLAGS, not CPPFLAGS and not even CXXFLAGS, so
# inject flags using configure. let's hope CFLAGS will always be good enough
# even for $(CXX)
override_dh_auto_configure:
	./configure --prefix="/usr" --with-ntl CC='$(CC)' CXX='$(CXX)' CFLAGS='$(CPPFLAGS) $(CFLAGS)'
	sed -i Makefile -e "/^FLINT_LIB\>=/s/libflint/libflint-$(DEB_VERSION_UPSTREAM)/"

override_dh_auto_build:
	dh_auto_build --parallel -- $(MAKE_OVERRIDE) \
	    EXTRA_SHARED_FLAGS="$(EXTRA_SHARED_FLAGS)"
	sphinx-build doc/source/ doc/html/
	rm -rf doc/html/.doctrees/ doc/html/_static/jquery.js doc/html/_static/underscore.js
	for toto in doctools.js language_data.js searchtools.js; do \
		rm doc/html/_static/$$toto ; \
	done
	sphinx-build -M latex doc/source/ doc/pdf/ && make -C doc/pdf/latex

override_dh_auto_install:
	dh_auto_install -- LIBDIR=lib/${DEB_HOST_MULTIARCH}
	cd debian/tmp/usr/lib/${DEB_HOST_MULTIARCH} ; ln -sf libflint-$(DEB_VERSION_UPSTREAM).so.* libflint-$(DEB_VERSION_UPSTREAM).so

override_dh_auto_test:
	dh_auto_test -- $(MAKE_OVERRIDE)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
